<?php

class ToolsTestModel
{

    /**
     * @param $text
     * @return mixed|string
     */
    static function parseURL($text)
    {


        $text = trim(mb_strtolower($text));

        $table = array(
            'Š'   => 'S',
            'š'   => 's',
            'Đ'   => 'D',
            'đ'   => 'd',
            'Ž'   => 'Z',
            'ž'   => 'z',
            'Č'   => 'C',
            'č'   => 'c',
            'Ć'   => 'C',
            'ć'   => 'c',
            'À'   => 'A',
            'Á'   => 'A',
            'Â'   => 'A',
            'Ã'   => 'A',
            'Ä'   => 'A',
            'Å'   => 'A',
            'Æ'   => 'A',
            'Ç'   => 'C',
            'È'   => 'E',
            'É'   => 'E',
            'Ê'   => 'E',
            'Ë'   => 'E',
            'Ì'   => 'I',
            'Í'   => 'I',
            'Î'   => 'I',
            'Ï'   => 'I',
            'Ñ'   => 'N',
            'Ò'   => 'O',
            'Ó'   => 'O',
            'Ô'   => 'O',
            'Õ'   => 'O',
            'Ö'   => 'O',
            'Ø'   => 'O',
            'Ù'   => 'U',
            'Ú'   => 'U',
            'Û'   => 'U',
            'Ü'   => 'U',
            'Ý'   => 'Y',
            'Þ'   => 'B',
            'ß'   => 'Ss',
            'à'   => 'a',
            'á'   => 'a',
            'â'   => 'a',
            'ã'   => 'a',
            'ä'   => 'a',
            'å'   => 'a',
            'æ'   => 'a',
            'ç'   => 'c',
            'è'   => 'e',
            'é'   => 'e',
            'ê'   => 'e',
            'ë'   => 'e',
            'ì'   => 'i',
            'í'   => 'i',
            'î'   => 'i',
            'ï'   => 'i',
            'ð'   => 'o',
            'ñ'   => 'n',
            'ò'   => 'o',
            'ó'   => 'o',
            'ô'   => 'o',
            'õ'   => 'o',
            'ö'   => 'o',
            'ø'   => 'o',
            'ù'   => 'u',
            'ú'   => 'u',
            'û'   => 'u',
            'ý'   => 'y',
            'þ'   => 'b',
            'ÿ'   => 'y',
            'Ŕ'   => 'R',
            'ŕ'   => 'r',
            ' - ' => '-',
            ' '   => '-',
            '&'   => 'et',
            'œ'   => 'oe'
        );

        $text = strtr($text, $table);

        $text = preg_replace('/[^a-z0-9-]/', '', $text);

        return $text;
    }
}